Bug 1303165 - bridge doesn't have mac address and is not on after creation
bridge doesn't have mac address and is not on after creation
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
: EasyFix
Depends On:
Blocks: 1303665
  Show dependency treegraph
 
Reported: 2016-01-29 13:17 EST by Vladimir Benes
Modified: 2016-04-29 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1303665 (view as bug list)
Environment:
Last Closed: 2016-04-29 08:29:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (162.08 KB, image/png)
2016-01-29 13:18 EST, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2016-01-29 13:17:30 EST
Description of problem:
create bridge with default values after few attempts there is a bridge that has no mac and no state, going out and back to network tab fixes the issue

seems this is related:
Jan 29 19:14:40 trautenberg gnome-control-center.desktop[29793]: ** (nm-connection-editor:30380): WARNING **: Unsupported connection type 'generic'

see attached picture

[vbenes@trautenberg ~]$ nmcli device show bridge0
GENERAL.DEVICE:                         bridge0
GENERAL.TYPE:                           bridge
GENERAL.HWADDR:                         46:D3:D8:51:C8:39
GENERAL.MTU:                            1500
GENERAL.STATE:                          70 (connecting (getting IP configuration))
GENERAL.CONNECTION:                     Bridge connection 1
GENERAL.CON-PATH:                       /org/freedesktop/NetworkManager/ActiveConnection/44


Version-Release number of selected component (if applicable):
control-center-3.14.5-8.el7.x86_64
NetworkManager-1.0.6-27.el7.x86_64


How reproducible:


Steps to Reproduce:
1.create several bridges in c-c network

Actual results:
after a while there is invalid bridge state 

Expected results:
correct state

Additional info:
Comment 1 Vladimir Benes 2016-01-29 13:18 EST
Created attachment 1119494 [details]
screenshot
Comment 3 Tomas Pelka 2016-02-09 15:24:22 EST
no more fast
Comment 4 Bastien Nocera 2016-04-29 08:29:31 EDT
Support for enterprise networking features will be removed in future versions
of GNOME and of RHEL 7.x. We advise that you test Cockpit instead, which is
better suited to manipulate enterprise networking feature.

Teaming support for Cockpit is tracked at:
https://github.com/cockpit-project/cockpit/issues/4330

Bonding, bridging and VLAN support are already implemented.

Note You need to log in before you can comment on or make changes to this bug.